## org.jfree.report.data
Class StaticExpressionRuntimeData

    java.lang.Object
      org.jfree.report.data.StaticExpressionRuntimeData

    public class StaticExpressionRuntimeData

extends java.lang.Object

This class holds all expression-runtime information, which are known when the expression gets added to the datarow. Once added, they won't change anymore.

Author:
  Thomas Morgner

Constructor Summary
`StaticExpressionRuntimeData()`

Method Summary
`org.pentaho.reporting.libraries.base.config.Configuration` `getConfiguration()`
`int` `getCurrentRow()`
`ReportData` `getData()`
`java.lang.Object` `getDeclaringParent()`
`ReportContext` `getReportContext()`
`ResourceBundleFactory` `getResourceBundleFactory()`
`void` `setConfiguration(org.pentaho.reporting.libraries.base.config.Configuration configuration)`
`void` `setCurrentRow(int currentRow)`
`void` `setData(ReportData data)`
`void` `setDeclaringParent(java.lang.Object declaringParent)`
`void` `setReportContext(ReportContext reportContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticExpressionRuntimeData

    public StaticExpressionRuntimeData()

Method Detail

### getCurrentRow

    public int getCurrentRow()

### setCurrentRow

    public void setCurrentRow(int currentRow)

### getData

    public ReportData getData()

### setData

    public void setData(ReportData data)

### getResourceBundleFactory

    public ResourceBundleFactory getResourceBundleFactory()

### setDeclaringParent

    public void setDeclaringParent(java.lang.Object declaringParent)

### setConfiguration

    public void setConfiguration(org.pentaho.reporting.libraries.base.config.Configuration configuration)

### getDeclaringParent

    public java.lang.Object getDeclaringParent()

### getConfiguration

    public org.pentaho.reporting.libraries.base.config.Configuration getConfiguration()

### getReportContext

    public ReportContext getReportContext()

### setReportContext

    public void setReportContext(ReportContext reportContext)